# META NAME experimental mouse plugin
# META DESCRIPTION reads and sends mouse coordinates
# META AUTHOR <jona>

variable pdwindow::receive_name {}

set lp_args [info args pdwindow::logpost]
set lp_body [info body pdwindow::logpost]

append lp_body {
    # find 'function' names
    if {[lindex $message 0] eq "set_receive:"} {
        set pdwindow::receive_name [lindex $message 1]
        return
    }
    if {$pdwindow::receive_name ne ""} {
        #this is the part where you send a tcl message to pd
        pdsend "$pdwindow::receive_name $message"
    }
}

proc pdwindow::logpost $lp_args $lp_body


# bind all <Motion> {pdsend "mouse_receive $focused_window motion %x %y"}

 bind all <ButtonRelease-1> {pdsend "mouse_receive $focused_window  mouseup %x %y"}

 bind all <ButtonPress-1> {pdsend "mouse_receive $focused_window mousedown %x %y"}

# bind all <FocusIn> {pdsend "mouse_receive $focused_window"}

pdtk_post "loaded: experimental mouse plugin\n"